#!/bin/bash
environment=$1
version=$2
echo "环境变量为${environment},版本为$version!"
if [[ ${environment} == 'pro' ]]; then
  echo "开始远程构建容器"
  docker stop sentinel_dashboard || true
  docker rm sentinel_dashboard || true
  docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/telpo_platform/sentinel_dashboard | awk '{print $3}')

  docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
  docker pull registry.cn-shanghai.aliyuncs.com/telpo_platform/sentinel_dashboard:$version
  docker run -e active=pro -p 8092:8092 -v /home/data/sentineldashboard/log:/var/log/sentineldashboard --restart=always -d --name sentinel_dashboard registry.cn-shanghai.aliyuncs.com/telpo_platform/sentinel_dashboard:$version
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a
else
  if [[ ${environment} == 'test' ]]; then
    #echo "开始远程构建容器"
    docker stop sentinel_dashboard || true
    docker rm sentinel_dashboard || true

    docker rmi -f $(docker images | grep 139.224.254.18:5000/sentinel_dashboard | awk '{print $3}')
    docker pull 139.224.254.18:5000/sentinel_dashboard:$version
    docker run -v /home/data/sentineldashboard/log:/var/log/sentineldashboard -e active=test --restart=always -d --network host --name sentinel_dashboard 139.224.254.18:5000/sentinel_dashboard:$version

    #删除产生的None镜像
    docker rmi -f $(docker images | grep none | awk '{print $3}')
    docker ps -a
  fi
fi
